Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Class List

    java.lang.Object
      javax.microedition.lcdui.Displayable
          javax.microedition.lcdui.Screen
              javax.microedition.lcdui.List

All Implemented Interfaces:
  Choice

    public class List

extends Screen
implements Choice

Author:
  Andre Nijholt

Field Summary
`protected ArrayList` | `listItems`
`protected int` | `listType`

Fields inherited from class javax.microedition.lcdui.Displayable
`cmdListener, commands, height, KEY_BACK, KEY_ENTER, KEY_LEFT, KEY_RIGHT, shown, ticker, title, width`

Fields inherited from interface javax.microedition.lcdui.Choice
`EXCLUSIVE, IMPLICIT, MULTIPLE, POPUP, TEXT_WRAP_DEFAULT, TEXT_WRAP_OFF, TEXT_WRAP_ON`

Constructor Summary
`List(String title, int listType)`
`List(String title, int listType, String[] stringElements, Image[] imageElements)`

Method Summary
`int` | `append(String stringPart, Image imagePart)`
`void` | `delete(int elementNum)`
`void` | `deleteAll()`
`Image` | `getImage(int elementNum)`
`int` | `getSelectedFlags(boolean[] selectedArray_return)`
`int` | `getSelectedIndex()`
`String` | `getString(int elementNum)`
`void` | `insert(int elementNum, String stringPart, Image imagePart)`
`boolean` | `isSelected(int elementNum)`
`protected void` | `keyPressed(int keyCode)`
`protected void` | `paint(Graphics g)`
`void` | `set(int elementNum, String stringPart, Image imagePart)`
`void` | `setScrollWrap(boolean scrollWrap)`
`void` | `setSelectedFlags(boolean[] selectedArray)`
`void` | `setSelectedIndex(int elementNum, boolean selected)`
`int` | `size()`

Methods inherited from class javax.microedition.lcdui.Screen
`hideNotify, keyReleased, showNotify`

Methods inherited from class javax.microedition.lcdui.Displayable
`addCommand, callCommandListener, clearPaintRequest, getHeight, getPaintRequest, getTicker, getTitle, getWidth, isShown, removeCommand, repaint, setCommandListener, setTicker, setTicker, setTitle, sizeChanged`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### listType

    protected int listType

### listItems

    protected ArrayList listItems

Constructor Detail

### List

    public List(String title,
                int listType)

### List

    public List(String title,
                int listType,
                String[] stringElements,
                Image[] imageElements)

Method Detail

### append

    public int append(String stringPart,
                      Image imagePart)

  Specified by:
    `append` in interface `Choice`

### delete

    public void delete(int elementNum)

  Specified by:
    `delete` in interface `Choice`

### deleteAll

    public void deleteAll()

  Specified by:
    `deleteAll` in interface `Choice`

### getImage

    public Image getImage(int elementNum)

  Specified by:
    `getImage` in interface `Choice`

### getSelectedFlags

    public int getSelectedFlags(boolean[] selectedArray_return)

  Specified by:
    `getSelectedFlags` in interface `Choice`

### getSelectedIndex

    public int getSelectedIndex()

  Specified by:
    `getSelectedIndex` in interface `Choice`

### getString

    public String getString(int elementNum)

  Specified by:
    `getString` in interface `Choice`

### insert

    public void insert(int elementNum,
                       String stringPart,
                       Image imagePart)

  Specified by:
    `insert` in interface `Choice`

### isSelected

    public boolean isSelected(int elementNum)

  Specified by:
    `isSelected` in interface `Choice`

### set

    public void set(int elementNum,
                    String stringPart,
                    Image imagePart)

  Specified by:
    `set` in interface `Choice`

### setScrollWrap

    public void setScrollWrap(boolean scrollWrap)

### setSelectedFlags

    public void setSelectedFlags(boolean[] selectedArray)

  Specified by:
    `setSelectedFlags` in interface `Choice`

### setSelectedIndex

    public void setSelectedIndex(int elementNum,
                                 boolean selected)

  Specified by:
    `setSelectedIndex` in interface `Choice`

### size

    public int size()

  Specified by:
    `size` in interface `Choice`

### keyPressed

    protected void keyPressed(int keyCode)

  Overrides:
    `keyPressed` in class `Screen`

### paint

    protected void paint(Graphics g)

  Specified by:
    `paint` in class `Screen`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD